Package org.apache.sysds.runtime.controlprogram.parfor

# Class ResultMergeRemoteSpark

java.lang.Object
org.apache.sysds.runtime.controlprogram.parfor.ResultMerge<MatrixObject>
org.apache.sysds.runtime.controlprogram.parfor.ResultMergeMatrix
org.apache.sysds.runtime.controlprogram.parfor.ResultMergeRemoteSpark

All Implemented Interfaces:
  `Serializable`

public class ResultMergeRemoteSpark extends ResultMergeMatrix

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResultMergeRemoteSpark(MatrixObject out, MatrixObject[] in, String outputFilename, boolean accum, ExecutionContext ec, int numMappers, int numReducers)`

## Method Summary

Modifier and Type
Method
Description
`MatrixObject`
`executeParallelMerge(int par)`
Merge all given input matrices in parallel into the given output matrix.
`MatrixObject`
`executeSerialMerge()`
Merge all given input matrices sequentially into the given output matrix.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResultMergeRemoteSpark

public ResultMergeRemoteSpark(MatrixObject out, MatrixObject[] in, String outputFilename, boolean accum, ExecutionContext ec, int numMappers, int numReducers)

## Method Details

### executeSerialMerge

public MatrixObject executeSerialMerge()
Description copied from class: `ResultMerge`
Merge all given input matrices sequentially into the given output matrix. The required space in-memory is the size of the output matrix plus the size of one input matrix at a time.

Specified by:
  `executeSerialMerge` in class `ResultMerge<MatrixObject>`
Returns:
  output (merged) matrix

### executeParallelMerge

public MatrixObject executeParallelMerge(int par)
Description copied from class: `ResultMerge`
Merge all given input matrices in parallel into the given output matrix. The required space in-memory is the size of the output matrix plus the size of all input matrices.

Specified by:
  `executeParallelMerge` in class `ResultMerge<MatrixObject>`
Parameters:
  `par` - degree of parallelism
Returns:
  output (merged) matrix